ChangeLog

# ChangeLog for net-fs/coda
# Copyright 2000-2007 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/coda/ChangeLog,v 1.31 2007/05/19 16:09:17 griffon26 Exp $

19 May 2007; Maurice van der Pot
-files/coda-6.0.10-venus-setup-fix.patch,
-files/coda-6.0.14-with-includes-fix.patch, -files/6.0.10/venus,
-files/6.0.11/venus, -files/6.0.12/venus, -files/6.0.14/venus,
metadata.xml, -coda-6.0.10.ebuild, -coda-6.0.11.ebuild,
-coda-6.0.12.ebuild, -coda-6.0.14.ebuild:
Removed old coda ebuilds and related files and turned over maintenance to
net-fs.

06 May 2007; Marius Mauch coda-6.0.10.ebuild,
coda-6.0.11.ebuild, coda-6.0.12.ebuild, coda-6.0.15.ebuild:
Replacing einfo with elog

29 Apr 2007; Maurice van der Pot
coda-6.0.14.ebuild, coda-6.0.15.ebuild:
Fixed use of DEPEND/RDEPEND fixing bug #169554 submitted by Diego Pettenò


28 Apr 2007; Sven Wegener coda-6.0.10.ebuild,
coda-6.0.11.ebuild, coda-6.0.12.ebuild, coda-6.0.14.ebuild,
coda-6.0.15.ebuild:
Fix *initd, *confd and *envd calls (#17388, #174266)

11 Apr 2007; Maurice van der Pot
coda-6.0.14.ebuild, coda-6.0.15.ebuild:
Removed kth-krb dependency for bug #173354. Use kerberos 5 instead.

22 Feb 2007; Piotr Jaroszyński ChangeLog:
Transition to Manifest2.

18 Oct 2006; Joshua Jackson coda-6.0.15.ebuild:
Stable x86;bug #150382

*coda-6.0.15 (08 Jun 2006)

08 Jun 2006; Maurice van der Pot
+files/6.0.15/venus, +files/coda-6.0.15-mit-krb5-struct.patch,
+coda-6.0.15.ebuild:
Added new version 6.0.15 of coda. Please read the upstream changelog
for notes on compatibility with older versions. Also fixed bug #135604
submitted by Julian Golderer .

*coda-6.0.14 (03 May 2006)

03 May 2006; Maurice van der Pot
+files/coda-6.0.14-with-includes-fix.patch, +files/6.0.14/venus,
+coda-6.0.14.ebuild:
Added version 6.0.14 of coda and included a fix for bug #130870 reported by
Steven Brudenell .

23 Oct 2005; Maurice van der Pot
coda-6.0.10.ebuild, coda-6.0.11.ebuild, coda-6.0.12.ebuild:
Fixed mistake in previous fix. It should be emerge --config,
not ebuild --config.

17 Oct 2005; Maurice van der Pot
-files/6.0.8/venus, -coda-6.0.8.ebuild, coda-6.0.10.ebuild,
coda-6.0.11.ebuild, coda-6.0.12.ebuild:
Removed old version 6.0.8 and replaced ebuild ... config with
ebuild --config ... (bug #109482)

23 Sep 2005; Maurice van der Pot
+files/6.0.12/venus, +coda-6.0.12.ebuild:
Added coda 6.0.12

07 Jul 2005; Maurice van der Pot
+files/6.0.11/venus, coda-6.0.8.ebuild, coda-6.0.10.ebuild,
coda-6.0.11.ebuild:
Again added venus init script, this time for 6.0.11.
Also added perl to run-time dependencies.

08 Jun 2005; Maurice van der Pot
-files/coda-6.0.3-iowr.patch, -files/6.0.7/venus, +files/6.0.10/venus,
-files/coda-6.0.6-gcc3.4.patch, -files/venus, -coda-6.0.3.ebuild,
-coda-6.0.6.ebuild, -coda-6.0.7.ebuild, coda-6.0.8.ebuild,
coda-6.0.10.ebuild, +coda-6.0.11.ebuild:
- Added new coda version 6.0.11
- Added venus init script that was forgotten when coda 6.0.10 was added.
- Removed old coda versions.
- Made coda 6.0.8 depend on lwp 1.12, because it doesn't work with 2.0.
- Adapted to changed location of source packages
- Added workaround for bug #93791 reported by Toralf Förster
to all ebuilds until a more permanent
solution can be implemented.

*coda-6.0.10 (05 May 2005)

05 May 2005; Maurice van der Pot
+files/coda-6.0.10-venus-setup-fix.patch, +coda-6.0.10.ebuild:
Added new release.

05 Feb 2005; Maurice van der Pot coda-6.0.8.ebuild:
Stable on x86

*coda-6.0.8 (27 Dec 2004)

27 Dec 2004; Maurice van der Pot
+files/6.0.8/venus, coda-6.0.7.ebuild, +coda-6.0.8.ebuild:
Fixed some cosmetic errors in RDEPEND and marked coda-6.0.7 stable on x86
Added new version coda-6.0.8

06 Nov 2004; Maurice van der Pot coda-6.0.6.ebuild,
coda-6.0.7.ebuild:
Coda backup script is now installed as backup-coda.sh to prevent a
collision with tar's backup.sh. Thanks to Alexander Skwar
in bug #70231.

23 Oct 2004; Maurice van der Pot +files/6.0.7/venus,
coda-6.0.7.ebuild:
Fixed init script to not start venus in the background as it now daemonizes
after startup. Also adapted pkg_config to work with new createvol_rep.

*coda-6.0.7 (23 Oct 2004)

23 Oct 2004; Maurice van der Pot coda-6.0.6.ebuild,
+coda-6.0.7.ebuild:
Version bump for new coda release
Marked coda-6.0.6 stable on x86

05 Oct 2004; Maurice van der Pot coda-6.0.6.ebuild:
During setup of the initial configuration, first ask the user where to
store file data, so the location can be checked for an existing vice
partition that needs to be removed.

03 Oct 2004; Maurice van der Pot coda-6.0.6.ebuild:
Ebuild now allows user to set up initial configuration after installation.

12 Aug 2004; Maurice van der Pot coda-6.0.6.ebuild:
Changed dependency from sys-kernel/linux-headers to virtual/os-headers
Thanks to Mike Nerone for reporting it in bug #57996.
Corrected versions of dependencies in RDEPEND to match those in DEPEND

26 Jul 2004; Maurice van der Pot metadata.xml,
files/auth2, files/coda-update, files/codasrv, files/venus,
coda-6.0.3.ebuild, coda-6.0.6.ebuild:
Fixed several issues with init scripts that popped up in the comments
of bug #26132. Fixed omission in einfo in both ebuilds. Took over
maintenance from Daniel Black

17 Jul 2004; Daniel Black files/auth2,
files/coda-update, files/codasrv, files/venus:
Scripts enhanced thanks to Maurice van der Pot in bug
#26132

12 May 2004; David Holm coda-6.0.6.ebuild:
Added to ~ppc.

*coda-6.0.6 (12 May 2004)

12 May 2004; Daniel Black metadata.xml,
coda-6.0.3.ebuild, +coda-6.0.6.ebuild, files/coda-6.0.6-gcc3.4.patch:
version bump Thanks to Sebastian Droege in bug
#50632. Changed maintainers to include net-fs. Work still required to install
in a FHS compliant manner

07 May 2004; Daniel Black coda-6.0.3.ebuild:
x86 Keyword added

27 Apr 2004; Aron Griffis coda-6.0.3.ebuild:
Add inherit eutils

*coda-6.0.3 (24 Mar 2004)

24 Mar 2004; Daniel Black coda-6.0.3.ebuild,
files/auth2, files/coda-6.0.3-iowr.patch, files/coda-update, files/codasrv,
files/venus:
inital import based off bug #26132. Still work in progress - I want to
automate the install a lot more but its hard! Thanks to Michael C. Ferguson
mcf@augustmail.com who put together the intial ebuilds for this

Manifest

AUX 6.0.15/venus 703 RMD160 f80659e9d3a5ad1a7ca755dc372e48cc34df8fbe SHA1 2cfac9787f30347eedf6d183862aec6406b29865 SHA256 01bd6353fadb6e0f2c0bd6c3c6f9d89dd7cb893211bf45d1b2d4b93fa1d99de2
AUX auth2 1041 RMD160 987b108810cd52fef087e58633a7c15402660631 SHA1 c6b6751d0a9061b3c6423fe4ad07c831eedeca57 SHA256 2990536d366098d56ce248e23a377d227ba556e4dda0f4fe2208d62bc00857a9
AUX coda-6.0.15-mit-krb5-struct.patch 1282 RMD160 440a95a89ab8e650bc9af98807cda8d1b674ff18 SHA1 4a68d977fb4d8db4e8566038d12ddba58d3d52f4 SHA256 990fce3c2a81eb68b973acf973c5b15717b99b8381c3becfb98458d286f0a663
AUX coda-update 1223 RMD160 0e3479b2c3295b3a24e2cf2e8667d261b2dd582c SHA1 3e5020975ef3c0cba1f06e830210dd50dcf06000 SHA256 2f625980cd3e8ce6b27662886c62f28f6ff9b9a61e233f56a7fc1fea54175e6a
AUX codasrv 941 RMD160 ccab4d3477da91b9bc04ad78d041d9dfe10f96eb SHA1 ca8c7023ecba0e95ac953bf5531c1a420787ec4f SHA256 deb56c566064b7a3f6abe1518214450a1a5d27e62b603c78665eba3ecaddc76a
DIST coda-6.0.15.tar.gz 1573599 RMD160 b453c61a89b71482a8b690a54036c9b6ce1a9c56 SHA1 f245251654bc6859f599b26f79a4ce8799b8c6bd SHA256 aec4140a7bfec26c4991b6865e4c5672633b3bd6dac11fef1102db8ecdee8edd
EBUILD coda-6.0.15.ebuild 7647 RMD160 96d1ffe459689978ea15579dc695f1ab673a8b24 SHA1 846aa5e6a8e37ad4c6a0f9e6c57fa7225fcf4f72 SHA256 877e5d2c2364df6e00e32daa889e16c2746de3fcf514c1e20a503583e3c22b97
MISC ChangeLog 7357 RMD160 279ac7e00ea8b64b4bbf5c5e47b891905b7df971 SHA1 175f14f1c18dc510121c1eab702c45b923e6cde9 SHA256 356b1e9017c2fe8832ff9161ff6283251f860ce0a5228aa48170af26a76d3ee4
MISC metadata.xml 159 RMD160 8e0977b9abd90afe9e1d5c1326823a5726f6e2a4 SHA1 33f35324ce730e28838be228d9ee4e4dd1bab1e5 SHA256 562c59615c028ffa088de789b3a792fd4cbbbfe71628ddd6a55d3b176becbc6b

coda-6.0.15.ebuild

# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/net-fs/coda/coda-6.0.15.ebuild,v 1.9 2007/07/12 05:38:40 mr_bones_ Exp $

inherit autotools eutils

IUSE="kerberos ssl"

DESCRIPTION="Coda is an advanced networked filesystem developed at Carnegie Mellon Univ."
HOMEPAGE="http://www.coda.cs.cmu.edu/"
SRC_URI="http://www.coda.cs.cmu.edu/pub/coda/src/${P}.tar.gz"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="~ppc x86"

# partly based on the deps suggested by Mandrake's RPM, and/or on my current versions
# Also, definely needs coda.h from linux-headers.
RDEPEND=">=sys-libs/lwp-2.1
>=net-libs/rpc2-2.0
>=sys-libs/rvm-1.11
>=sys-libs/db-3
>=sys-libs/ncurses-4
>=sys-libs/readline-3
>=dev-lang/perl-5.8
kerberos? ( virtual/krb5 )
ssl? ( dev-libs/openssl )"

DEPEND="${RDEPEND}
sys-apps/gawk
sys-devel/bison
sys-apps/grep
virtual/os-headers"

src_unpack() {
unpack ${A}
cd "${S}"
epatch "${FILESDIR}/${P}-mit-krb5-struct.patch"
}

src_compile() {
local myflags=""

use kerberos && myflags="${myflags} --with-krb5"
use ssl && myflags="${myflags} --with-openssl"

econf ${myflags} || die "configure failed"
emake -j1 || die "emake failed"
}

src_install () {
#these crazy makefiles dont seem to use DESTDIR, but they do use these...
# (except infodir, but no harm in leaving it there)
# see Makeconf.setup in the package

#Also note that for Coda, we need to do "make client-install" for
# the client, and "make server-install" for the server.
#...you can find out about this from ./configs/Makerules
emake \
CINIT-SCRIPTS="" \
prefix=${D}/usr \
sysconfdir=${D}/etc/coda \
mandir=${D}/usr/share/man \
infodir=${D}/usr/share/info \
oldincludedir=${D}/usr/include client-install || die

emake \
SINIT-SCRIPTS="" \
prefix=${D}/usr \
sysconfdir=${D}/etc/coda \
mandir=${D}/usr/share/man \
oldincludedir=${D}/usr/include server-install || die
infodir=${D}/usr/share/info \

dodoc README* ChangeLog CREDITS

doinitd ${FILESDIR}/${PV}/venus
doinitd ${FILESDIR}/coda-update
doinitd ${FILESDIR}/codasrv
doinitd ${FILESDIR}/auth2

# We may use a conf.d/coda file at some point ?
# insinto /etc/conf.d
# newins ${FILESDIR}/coda.conf.d coda

sed -i -e "s,^#vicedir=/.*,vicedir=/var/lib/vice," \
${D}/etc/coda/server.conf.ex

sed -i -e "s,^#mountpoint=/.*,mountpoint=/mnt/coda," \
${D}/etc/coda/venus.conf.ex

# Fix conflict with backup.sh from tar
mv -f ${D}/usr/sbin/backup{,-coda}.sh

dodir /var/lib/vice
dodir /mnt/coda
dodir /usr/coda
dodir /usr/coda/spool

diropts -m0700
dodir /usr/coda/etc
dodir /usr/coda/venus.cache
}

pkg_postinst () {
elog
elog "To enable the coda at boot up, please do:"
elog " rc-update add codasrv default"
elog " rc-update add venus default"
elog
elog "To get started, run vice-setup and venus-setup."
elog
elog "Alternatively you can get a default coda setup by running:"
elog " emerge --config =${PF}"
}

pkg_config () {

# Set of default configuration values
local CODA_ROOT_DIR="/var/lib/vice"
local CODA_TEST_VOLUME="codatestvol"
local CODA_TEST_VOLUME_MOUNTPOINT="test"
local CODA_ADMIN_UID="6000"
local CODA_ADMIN_NAME="codaroot"
local CODA_STORAGE_DIR="/var/lib/vice"
local RVM_LOG_PARTITION="rvmlogpartition.img"
local RVM_DATA_PARTITION="rvmdatapartition.img"
local VICE_PARTITION="vicepa"
local UPDATE_AUTHENTICATION_TOKEN="updatetoken"
local AUTH2_AUTHENTICATION_TOKEN="auth2token"
local VOLUTIL_AUTHENTICATION_TOKEN="volutiltoken"

# Do not modify after this line

local FQDN=$(hostname --fqdn)
local CODA_MOUNTPOINT=$(codaconfedit venus.conf mountpoint)

# Make sure coda is not running before we start messing with its files
if [ "x$(pidof auth2)" != "x" ]; then
eerror "Please stop coda, coda-update and auth2 first."
exit 1
fi

# Also make sure venus is not running
if [ "x$(pidof venus)" != "x" ]; then
eerror "Please stop venus first."
exit 1
fi

# Ask for the location of (amongst other things) the vice partition
ewarn "This default configuration of coda will require 350MB of free space"
ewarn "for Recoverable Virtual Memory. Additional space is required for"
ewarn "the files that you store on your coda volume."
echo
einfon "Please specify where coda should store this data [${CODA_STORAGE_DIR}]: "
read new_storage_dir
if [ "x${new_storage_dir}" != "x" ]; then
CODA_STORAGE_DIR=${new_storage_dir}
fi
echo

# Check if an existing server.conf is in the way
conf=$(codaconfedit server.conf)
intheway=
if [ ${conf} != /dev/null ]; then
intheway="${intheway} ${conf}"
fi

# Check if an existing vice root dir is in the way
if [ -e ${CODA_ROOT_DIR} ]; then
intheway="${intheway} ${CODA_ROOT_DIR}"
fi

# Check if an existing vice partition is in the way
if [ -e ${CODA_STORAGE_DIR}/${VICE_PARTITION} ]; then
intheway="${intheway} ${CODA_STORAGE_DIR}/${VICE_PARTITION}"
fi

if [ "x${intheway}" != "x" ]; then
eerror "Please remove the following items manually first if you want to"
eerror "set up a default coda configuration:"
for item in ${intheway}; do
eerror "\t${item}"
done
exit 1
fi

einfo "A default coda server and client configuration will be set up that consists of:"
einfo "- a coda SCM (System Control Machine)"
einfo "- a coda administrator '${CODA_ADMIN_NAME}' with coda uid ${CODA_ADMIN_UID} and password 'changeme'"
einfo "- a coda root volume available at /mnt/coda/${FQDN}"
einfo "- a test volume mounted at ${CODA_MOUNTPOINT}/${FQDN}/${CODA_TEST_VOLUME_MOUNTPOINT}"
echo
einfon "Are you sure you want to do this? (y/n) "
read answer
if [ "x${answer}" != "xy" ]; then
exit 1
fi
echo

einfo "Setting up vice (the coda server)..."
vice-setup > /dev/null <<- EOF
yes
${CODA_ROOT_DIR}
y
${UPDATE_AUTHENTICATION_TOKEN}
${AUTH2_AUTHENTICATION_TOKEN}
${VOLUTIL_AUTHENTICATION_TOKEN}
1
${CODA_ADMIN_UID}
${CODA_ADMIN_NAME}
yes
${CODA_STORAGE_DIR}/${RVM_LOG_PARTITION}
20M
${CODA_STORAGE_DIR}/${RVM_DATA_PARTITION}
315M
y
${CODA_STORAGE_DIR}/${VICE_PARTITION}
y
2M
n
EOF

# Start coda server
/etc/init.d/codasrv start || exit 1

# Workaround to increase the likelihood that the coda server finished
# starting up. Once there is a nicer way to detect this, it should
# probably be added to the codasrv init script.
# See http://www.coda.cs.cmu.edu/maillists/codalist/codalist-2004/6954.html
sleep 5

einfo "Creating root volume..."
# Create root volume
createvoloutput=`createvol_rep / ${FQDN} 2>&1 <<- EOF
n
EOF`
if ! volutil info / &> /dev/null
then
eerror "Unable to create root volume, output of createvol_rep follows"
echo "$createvoloutput"
exit 1
fi

einfo "Creating test volume..."
# Create test volume
createvoloutput=`createvol_rep ${CODA_TEST_VOLUME} ${FQDN} 2>&1 <<- EOF
n
EOF`
if ! volutil info ${CODA_TEST_VOLUME} &> /dev/null; then
eerror "Unable to create writable volume, output of createvol_rep follows"
echo "$createvoloutput"
exit 1
fi

einfo "Setting up venus (the coda client)..."
venus-setup ${FQDN} 20000 > /dev/null

/etc/init.d/venus start

einfo "Mounting test volume at ${CODA_MOUNTPOINT}/${FQDN}/${CODA_TEST_VOLUME_MOUNTPOINT}"
clog ${CODA_ADMIN_NAME}@${FQDN} > /dev/null <<- EOF
changeme
EOF

cfs mkmount ${CODA_MOUNTPOINT}/${FQDN}/${CODA_TEST_VOLUME_MOUNTPOINT} ${CODA_TEST_VOLUME}

echo
einfo "The coda server and client have been set up successfully."
einfo "Please refer to http://www.coda.cs.cmu.edu/doc/html/ for Coda documentation."
echo
einfo "Tip: use pdbtool to add a normal coda user and clog to authenticate and get write access."
}

files

metadata.xml




net-fs